ExcludeArch: s390 s390x

%define hal_version	0.5.0

%define dbus_version	0.90
%define dbus_glib_version 0.70

%define gtk2_version	2.6.0
%define wireless_tools_version 1:28-0pre9

%define svn_revision svn3246

Name: NetworkManager
Summary: Network connection manager and user applications
Epoch: 1
Version: 0.6.5
Release: 0.8.%{svn_revision}%{?dist}
Group: System Environment/Base
License: GPL
URL: http://www.gnome.org/projects/NetworkManager/
Source: %{name}-%{version}.%{svn_revision}.tar.gz
Source1: mpp.py
Patch0: wpas-wait-longer.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

PreReq:   chkconfig
Requires: wireless-tools >= %{wireless_tools_version}
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: hal >= %{hal_version}
Requires: iproute openssl
Requires: wpa_supplicant

# OLPC-2 Requires
Requires: dhcp >= 12:3.0.5-36
Requires: dhclient >= 12:3.0.5-36
Requires: avahi >= 0.6.20-1
Requires: avahi-autoipd >= 0.6.20-1

BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: wireless-tools-devel >= %{wireless_tools_version}
BuildRequires: hal-devel >= %{hal_version}
BuildRequires: glib2-devel
BuildRequires: openssl-devel
BuildRequires: gettext-devel
BuildRequires: pkgconfig
BuildRequires: wpa_supplicant
BuildRequires: libnl-devel
BuildRequires: perl-XML-Parser

%description
NetworkManager attempts to keep an active network connection available at all
times.  It is intended only for the desktop use-case, and is not intended for
usage on servers.   The point of NetworkManager is to make networking
configuration and setup as painless and automatic as possible.  If using DHCP,
NetworkManager is _intended_ to replace default routes, obtain IP addresses
from a DHCP server, and change nameservers whenever it sees fit.


%package devel
Summary: Libraries and headers for adding NetworkManager support to applications
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: dbus-devel >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}

%description devel
This package contains various headers accessing some NetworkManager functionality
from applications.


%prep
%setup -q
%patch0 -p1 -b .wpas-wait-longer

%build
# Even though we don't require named, we still build with it
# so that if the user installs it, NM will use it automatically
%configure \
	--disable-static \
	--with-named=/usr/sbin/named \
	--with-named-dir=/var/named/data \
	--with-named-user=named \
	--without-gnome
make


%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/*.la
%{__mkdir} -p $RPM_BUILD_ROOT%{_bindir}/
%{__cp} test/nm-tool $RPM_BUILD_ROOT%{_bindir}/

%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/libnm_glib*
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libnm_glib*

%{__mkdir} -p $RPM_BUILD_ROOT%{_sysconfdir}/NetworkManager/dispatcher.d
%{__cp} %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/NetworkManager/dispatcher.d/
%{__chmod} 0755 $RPM_BUILD_ROOT%{_sysconfdir}/NetworkManager/dispatcher.d/*.py
%{__rm} -f $RPM_BUILD_ROOT%{_sysconfdir}/NetworkManager/dispatcher.d/*.pyo
%{__rm} -f $RPM_BUILD_ROOT%{_sysconfdir}/NetworkManager/dispatcher.d/*.pyc

%{__chmod} 0755 $RPM_BUILD_ROOT%{_sysconfdir}/NetworkManager/callouts/*.action

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post
if [ "$1" == "1" ]; then
	/sbin/chkconfig --add NetworkManager
	/sbin/chkconfig --add NetworkManagerDispatcher
fi

%preun
if [ $1 -eq 0 ]; then
    /sbin/service NetworkManager stop >/dev/null 2>&1
    /sbin/chkconfig --del NetworkManager

    /sbin/service NetworkManagerDispatcher stop >/dev/null 2>&1
    /sbin/chkconfig --del NetworkManagerDispatcher
fi


%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc COPYING ChangeLog NEWS AUTHORS README CONTRIBUTING TODO
%config %{_sysconfdir}/dbus-1/system.d/%{name}.conf
%config %{_sysconfdir}/rc.d/init.d/%{name}
%config %{_sysconfdir}/rc.d/init.d/%{name}Dispatcher
%{_sbindir}/%{name}
%{_sbindir}/NetworkManagerDispatcher
%dir %{_sysconfdir}/NetworkManager/
%dir %{_sysconfdir}/NetworkManager/dispatcher.d/
%{_bindir}/nm-tool
%{_libdir}/libnm-util.so*
%{_mandir}/man1/NetworkManager.1.gz
%{_mandir}/man1/NetworkManagerDispatcher.1.gz
%{_mandir}/man1/nm-tool.1.gz
%dir %{_localstatedir}/run/%{name}
%{_prefix}/libexec/nm-crash-logger
%{_datadir}/NetworkManager/gdb-cmd
%{_sysconfdir}/NetworkManager/callouts/nm-avahi-autoipd.action
%{_sysconfdir}/NetworkManager/callouts/nm-dhcp-client.action
%config %{_sysconfdir}/dbus-1/system.d/nm-avahi-autoipd.conf
%config %{_sysconfdir}/dbus-1/system.d/nm-dhcp-client.conf
%{_sysconfdir}/NetworkManager/dispatcher.d/mpp.py*

%files devel
%defattr(-,root,root,0755)
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/libnm-util.pc


%changelog
* Fri Jan 18 2008 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.8.svn3248
- Return success/fail from sleep(), wake(), and setWirelessEnabled() commands
	so callers know when the operation is finished
- Turn wireless TX power off when setWirelessEnabled(false) is called, and
	turn it back on when setWirelessEnabled(true) is called

* Wed Jan  9 2008 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.8.svn3218
- Ensure mesh devices remove themselves from the no-best-device notifier list
    (trac #4960)

* Thu Dec 13 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.8.svn3171
- Always set WEP auth algorithm
- Give the supplicant a bit more time to connect

* Tue Oct 02 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.8.svn2925
- Make sure standalone mesh always defaults to channel 1

* Sat Sep 08 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.8.svn2771
- Add more granular mesh device control, including the ability to lock
   device activation to one channel, and to start activation at a different
   step

* Thu Aug 30 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.8.svn2751
- Add a getFrequency call to wireless & mesh devices

* Wed Aug  8 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.8.svn2657
- Mesh is only active on channels 1, 6, 11
- Clean up DHCP lifecycle management

* Tue Jul 31 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.8.svn2655
- Exec wpa_supplicant with logging directed to /var/log/wpa_supplicant.log
    if /etc/NetworkManager/log-supplicant exists

* Mon Jul 30 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.8.svn2654
- Fix avahi-autoipd spawn problems; when a local MPP was active, NM was not
    correctly tracking MPP state and would re-start MPP when the driver sent
    association events

* Tue Jul 24 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.8.svn2639
- Re-enable school server, infrastructure, and xo-mpp connections for mesh
    devices (oops)
- Add debugging option (through /etc/NetworkManager/mesh-start) to control
    where the mesh device starts in it's association state machine
- Add debugging option (through /etc/NetworkManager/mesh-beacons) to turn
    on use of mesh beacons when searching for portals instead of trying every
    channel blindly

* Fri Jul 20 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.8.svn2637
- Fix periodic scanning behavior

* Thu Jul 12 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.8.svn2634
- More robust route/ip address command handling for out-of-memory conditions
- Add an explicit multicast route in the peer-to-peer mesh case so multicast
    actually works without further networking setup

* Thu Jul 12 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.8.svn2632
- Automatically reap dhclient processes

* Wed Jul 11 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.8.svn2631
- Mesh beacon support (though unused, waiting on driver fixes)
- Fix non-firing DHCP timeouts

* Thu Jul  5 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.8.svn2627
- Fix explict mesh device activation to restart at stage 1 (school MPP)

* Tue Jul  3 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.8.svn2626
- Update to svn nm-0-6-olpc
    - Make anycast addresses configurable though /etc/NetworkManager/anycast.conf
    - Fix manual reactivation of the mesh device to start at step 1
    - Make sure dhclient is stopped before switching mesh channels

* Mon Jul  2 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.7.svn2624
- Update to svn nm-0-6-olpc
    - Let wired devices activate first
    - Set callouts' and mpp.py's execute bit
    - Fixes and more verbose debugging messages

* Thu Jun 28 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.6.svn2621
- Actually add the MPP script

* Thu Jun 28 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.5.svn2621
- Update to svn nm-0-6-olpc
    - new automesh behavior
    - kill dhcdbd

* Thu Jun 14 2007 John (J5) Palmieri <johnp@redhat.com> - 1:0.6.5-0.4.svn2546
- bump and rebuild into OLPC-2

* Fri Jun 08 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.3.svn2546.olpc1
- Fix operation with latest libertas driver; mesh device doesn't have full
    set of wireless extensions, so use eth device instead

* Fri Jun 08 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.2.svn2546.olpc1
- Don't launch wpa_supplicant with debug output

* Fri Apr 06 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.1.svn2546.olpc1
- Fix permissions on /etc/hosts
- Decrease AP scan result aggregration timeout so APs actually show up in adhoc mode
- Increase DHCP timeout for mesh

* Thu Apr 05 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.1.svn2540.olpc1
- Change MPP protocol address & port
- switch back to infrastructure mode after mesh activation failure
- Use DHCP for mesh activation instead of auto-ip
- Make hostnames unique and update /etc/hosts
- Remove wpa_supplicant stdout capture and redirect

* Sat Mar 31 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.1.svn2511.olpc1
- Fix possible infinite idle reschedule
- Add 'anycast' ARP mapping before MPP discovery

* Thu Mar 29 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.1.svn2508.olpc1
- Mesh network device support

* Wed Mar  7 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.5-0.1.svn2446.olpc1
- Update to 0.6.5-pre snapshot
- Disable unused gnome/glib bits

* Sun Nov 12 2006 Dan Williams <dcbw@redhat.com> - 1:0.6.4-8
- OLPC one-off build: up supplicant timeout, add debug spew

* Wed Oct 25 2006 Dan Williams <dcbw@redhat.com> - 1:0.6.4-7
- Bump revision #

* Tue Oct 24 2006 Dan Williams <dcbw@redhat.com> - 1:0.6.4-6
- Don't block when grabbing VPN Connection settings from NMI
- Fix more stupid timeouts that wake up the applet periodically

* Mon Sep  4 2006 Christopher Aillon <caillon@redhat.com> - 1:0.6.4-5
- Don't wake up to redraw if NM is inactive (#204850)

* Wed Aug 30 2006 Bill Nottingham <notting@redhat.com> - 1:0.6.4-4
- add epochs in requirements

* Wed Aug 30 2006 Dan Williams <dcbw@redhat.com> - 1:0.6.4-3
- Fix FC-5 buildreqs

* Wed Aug 30 2006 Dan Williams <dcbw@redhat.com> - 1:0.6.4-2
- Revert FC6 to latest stable NM
- Update to stable snapshot
- Remove bind/caching-nameserver hard requirement

* Tue Aug 29 2006 Christopher Aillon <caillon@redhat.com> - 0.7.0-0.cvs20060529.7
- BuildRequire wireless-tools-devel and perl-XML-Parser
- Update the BuildRoot tag

* Wed Aug 16 2006 Ray Strode <rstrode@redhat.com> - 0.7.0-0.cvs20060529.6
- add patch to make networkmanager less verbose (bug 202832)

* Wed Aug  9 2006 Ray Strode <rstrode@redhat.com> - 0.7.0-0.cvs20060529.5
- actually make the patch in 0.7.0-0.cvs20060529.4 apply

* Fri Aug  4 2006 Ray Strode <rstrode@redhat.com> - 0.7.0-0.cvs20060529.4
- Don't ever elect inactive wired devices (bug 194124).

* Wed Jul 19 2006 John (J5) Palmieri <johnp@redhat.com> - 0.7.0-0.cvs20060529.3
- Add patch to fix deprecated dbus functions

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.7.0-0.cvs20060529.2
- Add BR for dbus-glib-devel

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.7.0-0.cvs20060529.1.1
- rebuild

* Mon May 29 2006 Dan Williams <dcbw@redhat.com> - 0.7.0-0.cvs20060529
- Update to latest CVS
	o Gnome.org #333420: dialog do not have window icons
	o Gnome.org #336913: HIG tweaks for vpn properties pages
	o Gnome.org #336846: HIG tweaks for nm-vpn-properties
	o Gnome.org #336847: some bugs in nm-vpn-properties args parsing
	o Gnome.org #341306: nm-vpn-properties crashes on startup
	o Gnome.org #341263: Version 0.6.2-0ubuntu5 crashes on nm_device_802_11_wireless_get_type
	o Gnome.org #341297: displays repeated keyring dialogs on resume from suspend
	o Gnome.org #342400: Building libnm-util --without-gcrypt results in linker error
	o Gnome.org #342398: Eleminate Gnome dependency for NetworkManager
	o Gnome.org #336532: declaration of 'link' shadows a global declaration
- Specfile fixes (#rh187489#)

* Sun May 21 2006 Dan Williams <dcbw@redhat.com> - 0.7.0-0.cvs20060521
- Update to latest CVS
- Drop special-case-madwifi.patch, since WEXT code is in madwifi-ng trunk now

* Fri May 19 2006 Bill Nottingham <notting@redhat.com> - 0.6.2-3.fc6
- use the same 0.6.2 tarball as FC5, so we have the same VPN interface
  (did he fire ten args, or only nine?)

* Thu Apr 27 2006 Jeremy Katz <katzj@redhat.com> - 0.6.2-2.fc6
- use the hal device type instead of poking via ioctl so that wireless 
  devices are properly detected even if the kill switch has been used

* Thu Mar 30 2006 Dan Williams <dcbw@redhat.com> - 0.6.2-1
- Update to 0.6.2:
    * Fix various WPA-related bugs
    * Clean up leaks
    * Increased DHCP timeout to account for slow DHCP servers, or STP-enabled
        switches
    * Allow applet to reconnect on dbus restarts
    * Add "Dynamic WEP" support
    * Allow hiding of password/key entry text
    * More responsive connection switching

* Tue Mar 14 2006 Peter Jones <pjones@redhat.com> - 0.6.0-3
- Fix device bringup on resume

* Mon Mar  6 2006 Dan Williams <dcbw@redhat.com> 0.6.0-2
- Don't let wpa_supplicant perform scanning with non-WPA drivers

* Mon Mar  6 2006 Dan Williams <dcbw@redhat.com> 0.6.0-1
- Update to 0.6.0 release
- Move autostart file to /usr/share/gnome/autostart

* Thu Mar  2 2006 Jeremy Katz <katzj@redhat.com> - 0.5.1-18.cvs20060302
- updated cvs snapshot.  seems to make airo much less neurotic

* Thu Mar  2 2006 Christopher Aillon <caillon@redhat.com>
- Move the unversioned libnm_glib.so to the -devel package

* Wed Mar  1 2006 Dan Williams <dcbw@redhat.com> 0.5.1-18.cvs20060301
- Fix VPN-related crash
- Fix issue where NM would refuse to activate a VPN connection once it had timed out
- Log wpa_supplicant output for better debugging

* Tue Feb 28 2006 Christopher Aillon <caillon@redhat.com> 0.5.1-17.cvs20060228
- Tweak three-scan-prune.patch

* Mon Feb 27 2006 Christopher Aillon <caillon@redhat.com> 0.5.1-16.cvs20060227
- Don't prune networks until they've gone MIA for three scans, not one.

* Mon Feb 27 2006 Christopher Aillon <caillon@redhat.com> 0.5.1-15.cvs20060227
- Update snapshot, which fixes up the libnotify stuff.

* Fri Feb 24 2006 Dan Williams <dcbw@redhat.coM> 0.5.1-14.cvs20060221
- Move libnotify requires to NetworkManager-gnome, not core NM package

* Tue Feb 21 2006 Dan Williams <dcbw@redhat.com> 0.5.1-13.cvs20060221
- Add BuildRequires: libnl-devel (#rh179438#)
- Fix libnm_glib to not clobber an application's existing dbus connection
	(#rh177546#, gnome.org #326572)
- libnotify support
- AP compatibility fixes

* Mon Feb 13 2006 Dan Williams <dcbw@redhat.com> 0.5.1-12.cvs20060213
- Minor bug fixes
- Update to VPN dbus API for passing user-defined routes to vpn service

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> 0.5.1-11.cvs20060205
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 0.5.1-10.cvs20060205.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Feb  5 2006 Dan Williams <dcbw@redhat.com> 0.5.1-10.cvs20060205
- Workarounds for madwifi/Atheros cards
- Do better with non-SSID-broadcasting access points
- Fix hangs when access points change settings

* Thu Feb  2 2006 Dan Williams <dcbw@redhat.com> 0.5.1-9.cvs20060202
- Own /var/run/NetworkManager, fix SELinux issues

* Tue Jan 31 2006 Dan Williams <dcbw@redhat.com> 0.5.1-8.cvs20060131
- Switch to autostarting the applet instead of having it be session-managed
- Work better with non-broadcasting access points
- Add more manufacturer default SSIDs to the blacklist

* Tue Jan 31 2006 Dan Williams <dcbw@redhat.com> 0.5.1-7.cvs20060131
- Longer association timeout
- Fix some SELinux issues
- General bug and cosmetic fixes

* Fri Jan 27 2006 Dan Williams <dcbw@redhat.com> 0.5.1-6.cvs20060127
- Snapshot from CVS
- WPA Support!  Woohoo!

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Dec 01 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.1-5
- rebuild for new dbus

* Fri Nov 18 2005 Peter Jones <pjones@redhat.com> - 0.5.1-4
- Don't kill the network connection when you upgrade the package.

* Fri Oct 21 2005 Christopher Aillon <caillon@redhat.com> - 0.5.1-3
- Split out the -glib subpackage to have a -glib-devel package as well
- Add epoch to version requirements for bind and wireless-tools
- Update URL of project

* Wed Oct 19 2005 Christopher Aillon <caillon@redhat.com> - 0.5.1-2
- NetworkManager 0.5.1

* Mon Oct 17 2005 Christopher Aillon <caillon@redhat.com> - 0.5.0-2
- NetworkManager 0.5.0

* Mon Oct 10 2005 Dan Williams <dcbw@redaht.com> - 0.4.1-5.cvs20051010
- Fix automatic wireless connections
- Remove usage of NMLoadModules callout, no longer needed
- Try to fix deadlock when menu is down and keyring dialog pops up

* Sun Oct 09 2005 Dan Williams <dcbw@redhat.com> - 0.4.1-4.cvs20051009
- Update to latest CVS
	o Integrate connection progress with applet icon (Chris Aillon)
	o More information in "Connection Information" dialog (Robert Love)
	o Shorten time taken to sleep
	o Make applet icon wireless strength levels a bit more realistic
	o Talk to named using DBUS rather than spawning our own
		- You need to add "-D" to the OPTIONS line in /etc/sysconfig/named
		- You need to set named to start as a service on startup

* Thu Sep 22 2005 Dan Williams <dcbw@redhat.com> - 0.4.1-3.cvs20050922
- Update to current CVS to fix issues with routing table and /sbin/ip

* Mon Sep 12 2005 Jeremy Katz <katzj@redhat.com> - 0.4.1-2.cvs20050912
- update to current CVS and rebuild (workaround for #168120)

* Fri Aug 19 2005 Dan Williams <dcbw@redhat.com> - 0.4.1-2.cvs20050819
- Fix occasional hang in NM caused by the applet

* Wed Aug 17 2005 Dan Williams <dcbw@redhat.com> - 0.4.1
- Update to NetworkManager 0.4.1

* Tue Aug 16 2005 Dan Williams <dcbw@redhat.com> - 0.4-36.cvs20050811
- Rebuild against new cairo/gtk

* Thu Aug 11 2005 Dan Williams <dcbw@redhat.com> - 0.4-35.cvs20050811
- Update to latest CVS
	o Use DHCP server address as gateway address if the DHCP server doesn't give
		us a gateway address #rh165698#
	o Fixes to the applet (Robert Love)
	o Better caching of information in the applet (Bill Moss)
	o Generate automatic suggested Ad-Hoc network name from machine's hostname
		(Robert Love)
	o Update all network information on successfull connect, not just 
		authentication method

* Fri Jul 29 2005 Ray Strode  <rstrode@redhat.com> - 0.4-34.cvs20050729
- Update to latest CVS to get fix for bug 165683.

* Mon Jul 11 2005 Dan Williams <dcbw@redhat.com> - 0.4-34.cvs20050629
- Move pkgconfig file to devel package (#162316, thanks to Michael Schwendt)

* Wed Jun 29 2005 David Zeuthen <davidz@redhat.com> - 0.4-33.cvs20050629
- Update to latest CVS to get latest VPN interface settings to satisfy
  BuildReq for NetworkManager-vpnc in Fedora Extras Development
- Latest CVS also contains various bug- and UI-fixes

* Fri Jun 17 2005 Dan Williams <dcbw@redhat.com> - 0.4-32.cvs20050617
- Update to latest CVS
	o VPN connection import/export capability
	o Fix up some menu item names
- Move nm-vpn-properties.glade to the gnome subpackage

* Thu Jun 16 2005 Dan Williams <dcbw@redhat.com> - 0.4-31.cvs20050616
- Update to latest CVS
	o Clean up wording in Wireless Network Discovery menu
	o Robert Love's applet beautify patch

* Wed Jun 15 2005 Dan Williams <dcbw@redhat.com> - 0.4-30.cvs20050615
- Update to latest CVS

* Mon May 16 2005 Dan Williams <dcbw@redhat.com> - 0.4-15.cvs30050404
- Fix dispatcher and applet CFLAGS so they gets compiled with FORTIFY_SOURCE

* Mon May 16 2005 Dan Williams <dcbw@redhat.com> - 0.4-14.cvs30050404
- Fix segfault in NetworkManagerDispatcher, add an initscript for it

* Mon May 16 2005 Dan Williams <dcbw@redhat.com> - 0.4-13.cvs30050404
- Fix condition that may have resulted in DHCP client returning success
	when it really timed out

* Sat May 14 2005 Dan Williams <dcbw@redhat.com> - 0.4-12.cvs20050404
- Enable OK button correctly in Passphrase and Other Networks dialogs when
	using ASCII or Hex WEP keys

* Thu May  5 2005 Dan Williams <dcbw@redhat.com> - 0.4-11.cvs20050404
- #rh154391# NetworkManager dies on startup (don't force-kill nifd)

* Wed May  4 2005 Dan Williams <dcbw@redhat.com> - 0.4-10.cvs20050404
- Fix leak of a socket in DHCP code

* Wed May  4 2005 Dan Williams <dcbw@redhat.com> - 0.4-9.cvs20050404
- Fix some memory leaks (Tom Parker)
- Join to threads rather than spinning for their completion (Tom Parker)
- Fix misuse of a g_assert() (Colin Walters)
- Fix return checking of an ioctl() (Bill Moss)
- Better detection and matching of hidden access points (Bill Moss)
- Don't use varargs, and therefore don't crash on PPC (Peter Jones)

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 0.4-8.cvs20050404
- fix build with newer dbus

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 0.4-7.cvs20050404
- silence %%post

* Mon Apr  4 2005 Dan Williams <dcbw@redhat.com> 0.4-6.cvs20050404
- #rh153234# NetworkManager quits/cores just as a connection is made

* Fri Apr  2 2005 Dan Williams <dcbw@redhat.com> 0.4-5.cvs20050402
- Update from latest CVS HEAD

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> 0.4-4.cvs20050315
- Update the GTK+ theme icon cache on (un)install

* Tue Mar 15 2005 Ray Strode <rstrode@redhat.com> 0.4-3.cvs20050315
- Pull from latest CVS HEAD

* Tue Mar 15 2005 Ray Strode <rstrode@redhat.com> 0.4-2.cvs20050315
- Upload new source tarball (woops)

* Tue Mar 15 2005 Ray Strode <rstrode@redhat.com> 0.4-1.cvs20050315
- Pull from latest CVS HEAD (hopefully works again)

* Mon Mar  7 2005 Ray Strode <rstrode@redhat.com> 0.4-1.cvs20050307
- Pull from latest CVS HEAD
- Commit broken NetworkManager to satisfy to dbus dependency

* Fri Mar  4 2005 Dan Williams <dcbw@redhat.com> 0.3.4-1.cvs20050304
- Pull from latest CVS HEAD
- Rebuild for gcc 4.0

* Tue Feb 22 2005 Dan Williams <dcbw@redhat.com> 0.3.3-2.cvs20050222
- Update from CVS

* Mon Feb 14 2005 Dan Williams <dcbw@redhat.com> 0.3.3-2.cvs20050214.x.1
- Fix free of invalid pointer for multiple search domains

* Mon Feb 14 2005 Dan Williams <dcbw@redhat.com> 0.3.3-2.cvs20050214
- Never automatically choose a device that doesn't support carrier detection
- Add right-click menu to applet, can now "Pause/Resume" scanning through it
- Fix DHCP Renew/Rebind timeouts
- Fix frequency cycling problem on some cards, even when scanning was off
- Play better with IPv6
- Don't send kernel version in DHCP packets, and ensure DHCP packets are at
	least 300 bytes in length to work around broken router
- New DHCP options D-BUS API by Dan Reed
- Handle multiple domain search options in DHCP responses

* Wed Feb  2 2005 Dan Williams <dcbw@redhat.com> 0.3.3-1.cvs20050202
- Display wireless network name in applet tooltip
- Hopefully fix double-default-route problem
- Write out valid resolv.conf when we exit
- Make multi-domain search options work
- Rework signal strength code to be WEXT conformant, if strength is
	still wierd then its 95% surely a driver problem
- Fix annoying instances of suddenly dropping and reactivating a
	wireless device (Cisco cards were worst offenders here)
- Fix some instances of NetworkManager not remembering your WEP key
- Fix some races between NetworkManager and NetworkManagerInfo where
	NetworkManager wouldn't recognize changes in the allowed list
- Don't shove Ad-Hoc Access Point MAC addresses into GConf

* Tue Jan 25 2005 Dan Williams <dcbw@redhat.com> 0.3.3-1.cvs20050125
- Play nice with dbus 0.23
- Update our list of Allowed Wireless Networks more quickly

* Mon Jan 24 2005 Dan Williams <dcbw@redhat.com> 0.3.3-1.cvs20050124
- Update to latest CVS
- Make sure we start as late as possible so that we ensure dbus & HAL
	are already around
- Fix race in initial device activation

* Mon Jan 24 2005 Than Ngo <than@redhat.com> 0.3.3-1.cvs20050112.4
- rebuilt against new wireless tool

* Thu Jan 21 2005 <dcbw@redhat.com> - 0.3.3-1.cvs20050118
- Fix issue where NM wouldn't recognize that access points were
	encrypted, and then would try to connect without encryption
- Refine packaging to put client library in separate package
- Remove bind+caching-nameserver dep for FC-3, use 'nscd -i hosts'
	instead.  DNS queries may timeout now right after device
	activation due to this change.

* Wed Jan 12 2005 <dcbw@redhat.com> - 0.3.3-1.cvs20050112
- Update to latest CVS
- Fixes to DHCP code
- Link-Local (ZeroConf/Rendezvous) support
- Use bind in "caching-nameserver" mode to work around stupidity
	in glibc's resolver library not recognizing resolv.conf changes
- #rh144818# Clean up the specfile (Patch from Matthias Saou)
- Ad-Hoc mode support with Link-Local addressing only (for now)
- Fixes for device activation race conditions
- Wireless scanning in separate thread

* Wed Dec  8 2004 <dcbw@redhat.com> - 0.3.2-4.3.cvs20041208
- Update to CVS
- Updates to link detection, DHCP code
- Remove NMLaunchHelper so we start up faster and don't
	block for a connection.  This means services that depend
	on the network may fail if they start right after NM
- Make sure DHCP renew/rebinding works

* Wed Nov 17 2004 <dcbw@redhat.com> - 0.3.2-3.cvs20041117
- Update to CVS
- Fixes to link detection
- Better detection of non-ESSID-broadcasting access points
- Don't dialog-spam the user if a connection fails

* Mon Nov 11 2004 <dcbw@redhat.com> - 0.3.2-2.cvs20041115
- Update to CVS
- Much better link detection, works with Open System authentication
- Blacklist wireless cards rather than whitelisting them

* Fri Oct 29 2004 <dcbw@redhat.com> - 0.3.2-2.cvs20041029
- #rh134893# NetworkManagerInfo and the panel-icon life-cycle
- #rh134895# Status icon should hide when in Wired-only mode
- #rh134896# Icon code needs rewrite
- #rh134897# "Other Networks..." dialog needs implementing
- #rh135055# Menu highlights incorrectly in NM
- #rh135648# segfault with cipsec0
- #rh135722# NetworkManager will not allow zaurus to sync via usb0
- #rh135999# NetworkManager-0.3.1 will not connect to 128 wep
- #rh136866# applet needs tooltips
- #rh137047# lots of applets, yay!
- #rh137341# Network Manager dies after disconnecting from wired network second time
- Better checking for wireless devices
- Fix some memleaks
- Fix issues with dhclient declining an offered address
- Fix an activation thread deadlock
- More accurately detect "Other wireless networks" that are encrypted
- Don't bring devices down as much, won't hotplug-spam as much anymore
	about firmware
- Add a "network not found" dialog when the user chooses a network that could
	not be connected to

* Tue Oct 26 2004 <dcbw@redhat.com> - 0.3.1-2
- Fix escaping of ESSIDs in gconf

* Tue Oct 19 2004  <jrb@redhat.com> - 0.3.1-1
- minor point release to improve error handling and translations

* Fri Oct 15 2004 Dan Williams <dcbw@redhat.com> 0.3-1
- Update from CVS, version 0.3

* Tue Oct 12 2004 Dan Williams <dcbw@redhat.com> 0.2-4
- Update from CVS
- Improvements:
	o Better link checking on wireless cards
	o Panel applet now a Notification Area icon
	o Static IP configuration support

* Mon Sep 13 2004 Dan Williams <dcbw@redhat.com> 0.2-3
- Update from CVS

* Sat Sep 11 2004 Dan Williams <dcbw@redhat.com> 0.2-2
- Require gnome-panel, not gnome-panel-devel
- Turn off by default

* Thu Aug 26 2004 Dan Williams <dcbw@redhat.com> 0.2-1
- Update to 0.2

* Thu Aug 26 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- spec-changes to req glib2 instead of glib

* Fri Aug 20 2004 Dan Williams <dcbw@redhat.com> 0.1-3
- First public release

